<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link rel="stylesheet" type="text/css" href="styles.css" />
    <script defer src="./src/Validation/flightValidation.js"></script>
    <script defer type="module" src="./src/flights.js"></script>
    <title>Rise Airlines</title>
  </head>
  <body>
    <header>
      <p>
        Rise Airlines 2024 <img src="./images/header-plane.png" alt="Airline" />
      </p>
      <ul class="navigation">
        <li>
          <a href="airports.html">Airports</a>
        </li>
        <li>
          <a href="airlines.html">Airlines</a>
        </li>
        <li>
          <a class="active" href="flights.html">Flights</a>
        </li>
      </ul>
    </header>

    <section class="nav">
      <nav>
        <ul>
          <li>
            <a href="index.html"
              ><img src="./images/left sidebar.png" alt="Airline"
            /></a>
          </li>
        </ul>
      </nav>
    </section>

    <section class="page-content">
      <h2>Flights</h2>

      <div class="line"></div>

      <table id="main-table">
        <thead>
          <tr>
            <th>Flight Number</th>
            <th>From</th>
            <th>To</th>
            <th>Departure</th>
            <th>Arrival</th>
          </tr>
        </thead>
        <tbody></tbody>
      </table>

    </section>

      <section class="form">
        <button class="orange-button" id="show-form-button">Show Form</button>

        <form id="submit-entity-form" method="post">
          <fieldset>
            <legend>Add New Flight</legend>
            <label for="flight-number">Flight Number</label>
            <input type="text" id="flight-number" name="flight-number" />
            <span id="flight-number-error" class="form-error-text"></span>
            <label for="from-airport">From</label>
            <input type="text" id="flight-from-airport" name="from-airport" />
            <span id="from-airport-error" class="form-error-text"></span>
            <label for="to-airport">To</label>
            <input type="text" id="flight-to-airport" name="to-airport" />
            <span id="to-airport-error" class="form-error-text"></span>
            <div class="input-departure-and-arrival-container">
              <div class="input-departure-container">
                <label for="departure-datetime">Departure</label>
                <input
                  type="datetime-local"
                  id="flight-departure-datetime"
                  name="departure-datetime"
                />
                <span
                  id="departure-datetime-error"
                  class="form-error-text"
                ></span>
              </div>
              <div class="input-arrival-container">
                <label for="arrival-datetime">Arrival</label>
                <input
                  type="datetime-local"
                  id="flight-arrival-datetime"
                  name="arrival-datetime"
                />
                <span
                  id="arrival-datetime-error"
                  class="form-error-text"
                ></span>
              </div>
            </div>
            <input
              type="submit"
              value="Submit"
              class="orange-button"
              id="submit-form-button"
            />
          </fieldset>
        </form>
      </section>

    <footer>Rise Airlines 2024 &#169;</footer>
  </body>
</html>
